language: cn
model_unique_abbr: trsp
version: 1.0
identification:
  docker_image_name: trsp:1.0
  model_name: 路网转向约束的最短路径算法
  semantic: The Shortest Path Algorithm for Road Networks with Turning Constraints
  description: 考虑了路网中的转向问题，为道路网络中的点寻找最短路径
  category_application: 处方型
  category_data:
  - 矢量线数据
  keywords:
  - 最短路径
  - 路网转向
parameter_info:
  parameters:
  - arg_name: networkFile
    is_single_en_dash: false
    param_type: input_data
    name: 道路网络数据
    description: TurnNetworkLink_data城市道路网络数据，数据中需包含所有路网边的起点和终点信息
    data_type: csv
    data_semantic: TurnNetworkLink_data

  - arg_name: turnFile
    is_single_en_dash: false
    param_type: input_data
    name: 道路转向数据
    description: TurnTable城市道路网络转向数据
    data_type: csv
    data_semantic: TurnTable

  - arg_name: originId
    is_single_en_dash: false
    param_type: param
    name: 路径规划的起点
    description: 路径规划的起点在道路网络中的ID
    data_type: int
    data_semantic: the starting point of path planning
    specification:
      default: 10000
      range:
        - "(0,)"
        
  - arg_name: destinationId
    is_single_en_dash: false
    param_type: param
    name: 路径规划的终点
    description: 路径规划的终点在道路网络中的ID
    data_type: int
    data_semantic: the ending point of path planning
    specification:
      default: 30000
      range:
        - "(0,)"


application:
  domain: 路径规划
  objective: 为转向道路网络中的点寻找最短路径，从而实现路径规划
  dimension:
  - 二维
  mechanism: 使用Dijkstra算法解决转向道路网络中的最短路径问题
operation:
  usage: 该算法需要四个参数，道路网络矢量数据(network_data)，路网转向数据(turnFile)，起点ID(originId)，终点ID(destinationId)。
  exec_example:
  - "docker run -v $(pwd):/data trsp:1.0 --networkFile /data/TurnNetworkLink.csv --turnFile /data/TurnTable.csv --originId 10000 --destinationId 30000 originNodeId:10000 destinationNodeId: 30000"
  output_display:
  - 起点和终点的最短路径距离
  - 从起点出发，抵达终点所途经的路网边
  - 从起点出发，抵达终点所途径的路网节点
technique:
  language:
  - Java
  os:
  - Linux
  - Windows
  dependencies:
  - name: argparse4j
    version: 0.9.0
source:
  maintainer: Huanghuihuang && Zhongyuxiang
  organization: Wuhan University
  contact: 9027575@qq.com
  references:
  - "LI, Q., et al. 2015. A hybrid link‐node approach for finding shortest paths in road networks with turn restrictions. Transactions in GIS, 19(6), 915-929."
